Subject: Re: Clone fails on a repo with too many heads/tags

From: Ivan Todoroski <[email-masked]>
Date: Tue, 27 Mar 2012 09:07:27 +0200

On 26.03.2012 19:33, Jeff King wrote:
> On Sun, Mar 25, 2012 at 07:54:19PM +0200, Ivan Todoroski wrote:
> 
>>>>> That's weird. 405 is "Method Not Allowed". Clone shouldn't be doing
>>>>> anything more exotic than GET and POST. And the prior tests pass, so it
>> [...]
>> It's still failing on CentOS 5.8 with Apache 2.2.3. I will just find
>> another machine where the test suite works.
> 
> I'm running the tests with apache 2.2.22. So I wonder if there is some
> config syntax or behavior that is simply different in the much older
> version.

Most likely.

>> If you'd still like to debug the problem on CentOS 5.8 I can run any
>> commands or test any patches for you.
> 
> A few more things to try:
> 
>   - check httpd/access.log to confirm that apache really is returning a
>     405 (I can't imagine that curl would not be reporting it accurately,
>     but it's worth a shot)

Yeah, it has 405 in access log too.

>   - try running with GIT_CURL_VERBOSE=1 to get debug output from curl
> 
>   - try adding these to the apache config:
> 
>       RewriteLog "httpd/rewrite.log"
>       RewriteLogLevel 9
> 
>     which might yield more information.
> 
> I have no idea what you're looking for in any of those, but maybe
> something useful will be obvious. I don't have a lot of apache
> experience, so my next step in your shoes would be just trying to get
> more information on what's happening.

Thanks for the tips. I'll keep tinkering with this as time allows and 
post a patch if I find something.